Upgrade from Eikon -> Workspace. Learn about programming differences.

For a deeper look into our Eikon Data API, look into:

Overview |  Quickstart |  Documentation |  Downloads |  Tutorials |  Articles

question

Upvotes
Accepted

Eikon data API error 500

We got an issue for a client:

He got this error :

2022-05-13 09:47:59,392 P[150992] [MainThread 151880] Error code 500 | Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers2.apps.cp.thomsonreuters.com amers2.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

2022-05-13 09:47:59,393 P[150992] [MainThread 151880] HTTP request failed: EikonError-Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers2.apps.cp.thomsonreuters.com amers2.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}


It seems we already have this kind of error in the past.

Please check the case: 10348085 .


Could you please do the same?


Many Thanks,


Best Regards,

eikon-data-apierror-500thomson-reuters
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
Accepted
80.2k 259 52 75

@alexandre.de-vallavieille

From the error message and the resolution in case 10348085, the Eikon admin needs to verify the permissions of the account and change settings in the account.

This developer forum is for questions on and general discussions of Refinitiv APIs. Typically, we are unable to verify the permissions of the account or change settings in the account.

Therefore, to get a prompt response, you can submit the case directly to the Eikon support team via MyRefinitiv. However, I have submitted a new case 11231669 on your behalf to the Eikon support to investigate this issue.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
884 4 2 8

Hi @alexandre.de-vallavieille,

Can you please provide the Eikon Version the client is using?

Meanwhile, can you ask them to try these two steps:

1. Upgrade the Eikon Data API

pip install eikon --upgrade --no-cache-dir

2. Shutdown Eikon Desktop, then clear the Eikon cache and launch the Eikon Desktop again

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes

The version is 4.0.56


We tried these operations without success.


Last few times we had this kind of issue, the root cause was a configuration of the account on Refinitiv side


Could you please check case 10348085 ?


Thanks per advance

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Hi @alexandre.de-vallavieille,

I think the support team reached out to you and the Server team has applied the change for your account. Are you still facing this issue?

Oh sorry a copy paste was not done properly at my first message. The issue is not with my account but for one of our user : john.petropoulos@tgptrading.com.


Are you able to do the change for him?

Ok we retried and the issue still same :


Upvotes

Still same error after retried on John's machine :

2022-05-16 09:14:22,325 P[60852] [MainThread 112212] entity: DataGrid_StandardAsync

2022-05-16 09:14:22,326 P[60852] [MainThread 112212] payload: {'requests': [{'instruments': ['9640176'], 'fields': [{'name': 'TR.AssetName;TR.AssetSubType;TR.AssetDWT;TR.AssetImo;TR.AssetDateTime;TR.AssetDraught;TR.AssetLocationType;TR.AssetFacilityType;TR.AssetCubicCapacity;TR.AssetLOA;TR.AssetBeam;TR.AssetFlag;TR.AssetRegisteredOwner;TR.AssetManager;TR.AssetCoated;TR.AssetStatus;TR.AssetBuilt;TR.AssetPreviousPort;TR.AssetLocationLatitude;TR.AssetLocationLongitude'}]}]}

2022-05-16 09:14:22,326 P[60852] [MainThread 112212] Request:{'Entity': {'E': 'DataGrid_StandardAsync', 'W': {'requests': [{'instruments': ['9640176'], 'fields': [{'name': 'TR.AssetName;TR.AssetSubType;TR.AssetDWT;TR.AssetImo;TR.AssetDateTime;TR.AssetDraught;TR.AssetLocationType;TR.AssetFacilityType;TR.AssetCubicCapacity;TR.AssetLOA;TR.AssetBeam;TR.AssetFlag;TR.AssetRegisteredOwner;TR.AssetManager;TR.AssetCoated;TR.AssetStatus;TR.AssetBuilt;TR.AssetPreviousPort;TR.AssetLocationLatitude;TR.AssetLocationLongitude'}]}]}}}

2022-05-16 09:14:22,326 P[60852] [MainThread 112212] Request to http://127.0.0.1:9060/api/v1/data

headers = {'Content-Type': 'application/json', 'x-tr-applicationid': 'e1da684889ce4b42b63ef31f6d52ba7ad117ba7a'}

params = None

2022-05-16 09:14:22,336 P[60852] [MainThread 112212] Send request with headers [(b'Host', b'127.0.0.1:9060'), (b'Accept-Encoding', b'gzip, deflate'), (b'Connection', b'keep-alive'), (b'User-Agent', b'python-httpx/0.22.0'), (b'Accept', b'application/json'), (b'Content-Type', b'application/json'), (b'x-tr-applicationid', b'e1da684889ce4b42b63ef31f6d52ba7ad117ba7a'), (b'Content-Length', b'463')] and cookies None

2022-05-16 09:14:22,337 P[60852] [MainThread 112212] HTTP request response 500: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

2022-05-16 09:14:22,337 P[60852] [MainThread 112212] HTTP Response code: 500

2022-05-16 09:14:22,337 P[60852] [MainThread 112212] HTTP Response: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

2022-05-16 09:14:22,337 P[60852] [MainThread 112212] Error code 500 | Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

2022-05-16 09:14:22,337 P[60852] [MainThread 112212] HTTP request failed: EikonError-Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

Traceback (most recent call last):

File "C:\Users\JPETRO\Desktop\py\venv\lib\site-packages\eikon\json_requests.py", line 127, in send_json_request

_raise_for_status(response)

File "C:\Users\JPETRO\Desktop\py\venv\lib\site-packages\eikon\json_requests.py", line 271, in _raise_for_status

raise EikonError(response.status_code, error_msg)

eikon.eikonError.EikonError: Error code 500 | Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Users\JPETRO\Desktop\py\venv\lib\site-packages\IPython\core\interactiveshell.py", line 3369, in run_code

exec(code_obj, self.user_global_ns, self.user_ns)

File "<ipython-input-3-e62635ba6a70>", line 8, in <cell line: 8>

df = ek.get_data(["9640176"],["TR.AssetName;TR.AssetSubType;\

File "C:\Users\JPETRO\Desktop\py\venv\lib\site-packages\eikon\data_grid.py", line 190, in get_data

result = eikon.json_requests.send_json_request(_endpoint, payload, debug=debug)

File "C:\Users\JPETRO\Desktop\py\venv\lib\site-packages\eikon\json_requests.py", line 134, in send_json_request

raise EikonError(eikon_err.code, eikon_err.message)

eikon.eikonError.EikonError: Error code 500 | Server Error: {"code":500,"message":"getaddrinfo ENOTFOUND amers1.apps.cp.thomsonreuters.com amers1.apps.cp.thomsonreuters.com:443","statusMessage":"Internal Server Error"}

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
1 0 0 0

@alexandre.de-vallavieille I have the same issue. Were you able to resolve your issue?

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Hello,

Alexandre's colleague here, the solution came from the modification done by the Eikon support (case 11231669) !

Have great day.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.